<!DOCTYPE html><html><head>

  <meta charset="utf-8">
  <meta name="generator" content="GitLab Pages">

  <title>Pusher Test</title>
  <link rel="stylesheet" href="style.css">
  <script src="https://js.pusher.com/8.2.0/pusher.min.js"></script>
  <script>

    // Enable pusher logging - don't include this in production
//    Pusher.logToConsole = true;

    var pusher= new Pusher('1158400e38747b789cba', {
      cluster: 'ap2'
    });
    var channel= pusher.subscribe('main-channel');
    
    var counter= 0;
    channel.bind('dumb-event', function(data) {
      document.body.innerText+=
        "; msg#" + ++counter + ":" + JSON.stringify(data);
    });
  </script>
  <style> code { color: blue; }</style>

</head><body>

    <div class="navbar">
      <a href="https://pages.gitlab.io/plain-html/">Plain HTML Example</a>
      <a href="https://gitlab.com/pages/plain-html/">Repository</a>
      <a href="https://gitlab.com/pages/">Other Examples</a>
    </div>

    <h1>Hello World!</h1>

    <p>
      This is a simple plain-HTML website on GitLab Pages, without any fancy static site generator.
    </p>

  <h1>Pusher.com 'Channels' product test</h1>

  <p>
Test by triggering an event on channel '<code>main-channel</code>'
with event name '<code>dumb-event</code>' - for example by:-<br />
      (i) creating an account<br />
      (ii) downloading the pusher CLI<br />
      (iii) logging in with your API key:<br />
        "<code>pusher login</code>"<br />
      (iv) triggering a dumb-event on the main-channel:<br />
        "<code>pusher channels apps trigger --app-id 1736956 --channel
main-channel --event dumb-event --message hello-world</code>"<br />
        <br />
        [[waiting...]]
  </p>

</body></html>
